"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultMissingErrorMessage = void 0;
var types_1 = require("./types");
exports.defaultMissingErrorMessage = "Unknown error occurred";
exports.default = (_a = {},
    _a[types_1.VerifyResult.NoError] = "No error",
    // GET
    _a[types_1.VerifyResult.PathsMissing] = "'paths' argument is missing",
    _a[types_1.VerifyResult.PathsNotStringOrStringArray] = "'paths' argument has to be a string or a string array",
    _a[types_1.VerifyResult.RawOptionNotBool] = "'raw' option has to be a boolean",
    _a[types_1.VerifyResult.RetainPathOptionNotBool] = "'retainPath' option has to be a boolean",
    _a[types_1.VerifyResult.MaxDepthOptionNotNumber] = "'max_depth' option has to be a positive number",
    _a[types_1.VerifyResult.MaxDepthOptionIsNegative] = "'max_depth' option has to be a positive number",
    // SET / ADD
    _a[types_1.VerifyResult.ValueIsMissing] = "'value' argument is required",
    _a[types_1.VerifyResult.ValueMustBeArray] = "'value' argument must be an array, when 'path' is an array",
    _a[types_1.VerifyResult.ValueAndPathArraysMustBeSameLength] = "'path' and 'value' arrays must have the same length",
    _a[types_1.VerifyResult.ValueIsNotTupleArray] = "'path' argument must be an array of tuples",
    // DELETE
    _a[types_1.VerifyResult.AllowPartialOptionNotBool] = "'allowPartial' option has to be a boolean",
    // SUPPORTED_DM
    _a[types_1.VerifyResult.OptionsMustBeBool] = "all options have to be boolean",
    // INSTANCES
    _a[types_1.VerifyResult.FirstLevelOnlyNotBool] = "'firstLevelOnly' has to be a boolean",
    // PROTO
    _a[types_1.VerifyResult.ProtoNotString] = "'proto' argument has to be a string",
    _a);
